Page MenuHomePhabricator

Newcomer tasks: document prerequisites for the communities that will get them
Closed, ResolvedPublic

Description

Newcomer tasks is the new Growth team project. As I write this task, the project is under development.

They will be available on our 4 target wikis in November, but then we will want to make them available to non-target wikis in January or February, after tests and refinements. This task is to think about documenting the process to get them.

Refine the process, working with Ambassadors.

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptOct 30 2019, 6:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Trizek-WMF changed the task status from Open to Stalled.Oct 30 2019, 6:31 PM
Trizek-WMF triaged this task as Lowest priority.
MMiller_WMF renamed this task from Task suggestion: document pre-requested for the communities that will get them to Newcomer tasks: document pre-requested for the communities that will get them.Oct 30 2019, 8:26 PM
MMiller_WMF updated the task description. (Show Details)
MMiller_WMF updated the task description. (Show Details)
MMiller_WMF added a subscriber: JTannerWMF.
MMiller_WMF renamed this task from Newcomer tasks: document pre-requested for the communities that will get them to Newcomer tasks: document prerequisites for the communities that will get them.Oct 30 2019, 8:28 PM
Trizek-WMF updated the task description. (Show Details)Jan 15 2020, 7:23 PM
Trizek-WMF removed a subscriber: JTannerWMF.
Trizek-WMF changed the task status from Stalled to Open.Feb 5 2020, 7:10 PM
Trizek-WMF raised the priority of this task from Lowest to High.

It is time!

Find a way to list templates already used by our 4 target wikis, though interwiki links and Wikidata. It could be through maintenance categories.

The 5 categories of templates have to be Update, References, Links, Expand, Copyedit.

The goal is to provide a list of templates to the new wikis so that the will confirm this list.

Trizek-WMF added a comment.EditedFeb 17 2020, 4:37 PM

Here is the main template and the category that goes with it for the 5 tasks:

UpdateReferencesLinksExpandCopyedit
Main TemplateQ5617874Q5962027Q5624688Q5529697Q6292692
Maintenance categoryQ9513618Q5897849Q6378333Q2944440Q9125773

Green light on telling communities that the can have suggested edits.

We need to check the following:

  • Are the maintenance templates listed on Wikidata the one used?
  • Want to count up to make sure that there are plenty of tasks (concerned if there are fewer than 1,000 of each task type)
  • Check with communities that we have the right maintenance templates

The local configuration file for task explanation widget links is on MediaWiki:NewcomerTasks.json.

Trizek-WMF closed this task as Resolved.Mar 11 2020, 11:22 AM

Everything has been documented.

Non pilot wikis that have the Growth prototypes are requested to check the links on T247308: Deploy suggested edits on uk, hu, hy, eu wikis and subtasks.